MacOSX Vim / News: Recent posts

Vim.app not working as expected with MacOS X 10.9 and 10.10

  • Vim.app will not run on MacOS X 10.9 (Mavericks) and MacOS X 10.10 (Yosemite).

  • Running "/Applications/Vim.app/Contents/MacOS/Vim'" from the Terminal works just fine.

  • Running "/Applications/Vim.app/Contents/MacOS/Vim -g'" from the Terminal will(!) start Vim with the GUI.

I have no idea why the GUI will not open when double-clicking on the Vim application icon.
Any hints/help is welcome...

Posted by Nicholas Stallard 2015-09-08

PPC Support, 10,4/10.5 for the Vim had to be dropped

I am sorry to report that the latest universal Vim will remain at 7.4.242.
Newer versions are i386 only and do not support MacOSX Versions older than 10.6 (Snow Leopard).

The latest universal Vim can be found here: old_releases/Vim-7.4.242_universal_10.4.dmg

Posted by Nicholas Stallard 2014-05-14

Restructred the files section

The files have been restructured. Old releases can be found in old_releases, the current (up to date) Vim in current and the x11 gvim binary for OSX in gvim/

Posted by Nicholas Stallard 2010-09-14

X11 gvim OSX

Updated the unsupported :) OSX gvim X11 binary to 7.2.325

Posted by Nicholas Stallard 2009-12-31

Vim is an universal binary again

After some reading and testing, I can now build Vim as an universal binary again. And also MacOSX 10.4.x compatible.

The included /Readme_MacOSX_vim-7.2.txt fle containes updated compile instructions.

Posted by Nicholas Stallard 2009-09-12

Vim is an universal binary again

After some reading and testing, I can now build Vim as an universal binary again. And also MacOSX 10.4.x compatible.

The included /Readme_MacOSX_vim-7.2.txt fle containes updated compile instructions.

Posted by Nicholas Stallard 2009-09-12